<script lang="ts">
import Vue from 'vue';
import { NewsletterForm, SecurityNoticeForm } from '../common/index.vue';

export default Vue.extend({
  name: 'ContactForms',
  components: { NewsletterForm, SecurityNoticeForm },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <section class="contact-forms">
    <SlpContainer>
      <SlpRow class="contact-forms__row">
        <SlpColumn
          :cols="6"
          class="contact-forms__form-column slp-md-64-mr-16"
          data-aos="fade-up"
          data-aos-duration="750"
        >
          <NewsletterForm :data="data.form1" />
        </SlpColumn>
        <SlpColumn
          v-if="data.form2"
          :cols="6"
          class="contact-forms__form-column slp-md-64-ml-16"
          data-aos="fade-up"
          data-aos-duration="750"
        >
          <SecurityNoticeForm :data="data.form2" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.contact-forms {
  &__row {
    flex-direction: column-reverse;
    margin-top: 40px;
    margin-bottom: 40px;
    justify-content: center;

    @media (min-width: $breakpoint-md) {
      flex-direction: row;
    }
  }

  &__card {
    padding: $spacing-32;
    background: $color-surface-800;
    border-radius: 16px;
  }

  &__card_link {
    padding-left: 0;
  }
}
</style>
